import { select, arc } from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg
	.append('g')
		.attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g
	.append('circle')
		.attr('r', height / 2)
		.attr('fill', 'yellow')
		.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 30;
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowYoffset = -70;

const eyesG = g
	.append('g')
		.attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
	.append('circle')
		.attr('r', eyeRadius)
  	.attr('cx', -eyeSpacing);

const rightEye = eyesG
	.append('circle')
		.attr('r', eyeRadius)
  	.attr('cx', eyeSpacing);

const eyebrowG = eyesG
	.append('g')
		.attr('transform', `translate(0, ${eyebrowYoffset})`);

eyebrowG
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYoffset - 70})`)
	.transition().duration(1000)
		.attr('transform', `translate(0, ${eyebrowYoffset})`)

const leftEyebrow = eyebrowG
	.append('rect')
		.attr('width', eyebrowWidth)
		.attr('height', eyebrowHeight)
		.attr('x', -eyeSpacing - eyebrowWidth/2);

const rightEyebrow = eyebrowG
	.append('rect')
	.attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
    .attr('x', eyeSpacing - eyebrowWidth/2);

const mouth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI/2,
      endAngle: Math.PI * 3/2
  	}));


















